execute if entity @p[tag=PlEditor,tag=Stick,tag=!Shift,tag=ATT] run scoreboard players remove @s mode 1
execute if entity @p[tag=PlEditor,tag=Stick,tag=!Shift,tag=INT] run scoreboard players add @s mode 1
execute if score @s mode matches ..0 run scoreboard players set @s mode 15
execute if score @s mode matches 16.. run scoreboard players set @s mode 1
data merge entity @s {start_interpolation:0}

execute if entity @p[tag=PlEditor,tag=Stick] run data remove storage minecraft:vp temp
execute if entity @p[tag=PlEditor,tag=Stick] run scoreboard players reset @s temp

execute if score @s mode matches 1 run function tool/msg {msg:'{"text":"Model ","color":"#FF00FF"}'}
execute if score @s mode matches 1 if entity @p[tag=PlEditor] run function mode/custom_model_data {path:'item.components.minecraft:custom_model_data',start:'0',end:'1000',default:'0',size:' (0 = OFF) '}

execute if score @s mode matches 2 run function tool/msg {msg:'{"text":"Scale ","color":"#FF00FF"}'}
execute if score @s mode matches 2 run function mode/transformation {path:'transformation.scale',min:'1000',max:'200000',first:'!Shift',second:'Shift',default:'[1.0f,1.0f,1.0f]'}

execute if score @s mode matches 3 run function tool/msg {msg:'{"text":"Position ","color":"#FF00FF"}'}
execute if score @s mode matches 3 run function mode/tp

execute if score @s mode matches 4 run function tool/msg {msg:'{"text":"Rotation ","color":"#FF00FF"}'}
execute if score @s mode matches 4 run function mode/rotation

execute if score @s mode matches 5 run function tool/msg {msg:'{"text":"Item type ","color":"#FF00FF"}'}
execute if score @s mode matches 5 run function mode/item_display

execute if score @s mode matches 6 run function tool/msg {msg:'{"text":"Spectator ","color":"#FF00FF"}'}
execute if score @s mode matches 6 run function mode/billboard

execute if score @s mode matches 7 run function tool/msg {msg:'{"text":"Brightness ","color":"#FF00FF"}'}
execute if score @s mode matches 7 run function mode/brightness

execute if score @s mode matches 8 run function tool/msg {msg:'{"text":"Shadow ","color":"#FF00FF"}'}
execute if score @s mode matches 8 run function mode/shadow

execute if score @s mode matches 9 run function tool/msg {msg:'{"text":"Glow color ","color":"#FF00FF"}'}
execute if score @s mode matches 9 run function mode/glowing_color

execute if score @s mode matches 10 run function tool/msg {msg:'{"text":"Offset ","color":"#FF00FF"}'}
execute if score @s mode matches 10 run function mode/transformation {path:'transformation.translation',min:'-10000',max:'10000',first:'NONE',second:'!Shift',default:'[0.0f,0.0f,0.0f]'}

execute if score @s mode matches 11 run function tool/msg {msg:'{"text":"Render distance ","color":"#FF00FF"}'}
execute if score @s mode matches 11 run function mode/number {path:'view_range',start:'2',end:'100',default:'100',size:'',factor:'100',divider:'0.01',step1:'2',step2:'10'}

execute if score @s mode matches 12 run function tool/msg {msg:'{"text":"Complete ","color":"#FF00FF"}'}
execute if score @s mode matches 12 run function mode/close_editor

execute if score @s mode matches 13 run function tool/msg {msg:'{"text":"Give item ","color":"#FF00FF"}'}
execute if score @s mode matches 13 run function mode/give_item

execute if score @s mode matches 14 run function tool/msg {msg:'{"text":"Give spawn egg ","color":"#FF00FF"}'}
execute if score @s mode matches 14 run function mode/give_egg {data:'{id:"minecraft:item_display",item:{id:"minecraft:stick",count:1}}'}

execute if score @s mode matches 15 run function tool/msg {msg:'{"text":"Cancel all ","color":"#FF00FF"}'}
execute if score @s mode matches 15 run function mode/cancel_all

function tool/msg_send with storage vp msg

data modify entity @s item.components.minecraft:custom_data.vp.Scale set from entity @s transformation.scale
data modify entity @s item.components.minecraft:custom_data.vp.Shadowradius set from entity @s shadow_radius
data modify entity @s item.components.minecraft:custom_data.vp.Shadowstrength set from entity @s shadow_strength
data modify entity @s item.components.minecraft:custom_data.vp.Glow_color_override set from entity @s glow_color_override
data modify entity @s item.components.minecraft:custom_data.vp.Glowing set from entity @s Glowing
data modify entity @s item.components.minecraft:custom_data.vp.Itemdisplay set from entity @s item_display
data modify entity @s item.components.minecraft:custom_data.vp.Billboard set from entity @s billboard
execute if data entity @s brightness run data modify entity @s item.components.minecraft:custom_data.vp.Brightness set from entity @s brightness
execute unless data entity @s brightness run data remove entity @s item.components.minecraft:custom_data.vp.Brightness